Bug 122007 - cdparanoia (SGIO version) kicks CDROM off the bus
Summary: cdparanoia (SGIO version) kicks CDROM off the bus
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-29 17:49 UTC by Ralf Ertzinger
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-08 13:30:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel output log (5.28 KB, text/plain)
2004-04-29 17:49 UTC, Ralf Ertzinger
no flags Details
Kernel oops on aic7xxx removal (2.07 KB, text/plain)
2004-04-29 19:03 UTC, Ralf Ertzinger
no flags Details

Description Ralf Ertzinger 2004-04-29 17:49:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040422

Description of problem:
When using Peter Jones' version of cdparanoia (SGIO support),
cdparanoia sometimes kicks the CDROM off the SCSI bus while ripping.
This is not exactly reproduceable, although I do have a CD I could not
rip successfully up to now.
After the failure, the CDROM is inaccessible.
The CDROM is attached to an Adaptec 2940UW.

Kernel log output is attached.

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.339

How reproducible:
Sometimes

Steps to Reproduce:
1. Rip CD with cdparanoia (SGIO version)
2.
3.
    

Actual Results:  cdparanoia sometimes resets the SCSI bus, CDROM
becomes inaccessible

Expected Results:  Ripped audio files

Additional info:

Comment 1 Ralf Ertzinger 2004-04-29 17:49:41 UTC
Created attachment 99796 [details]
Kernel output log

Comment 2 Ralf Ertzinger 2004-04-29 19:02:25 UTC
In addition, the kernel oopses when trying to remove the aic7xxx
driver after this incident.

Oops attached.

Comment 3 Ralf Ertzinger 2004-04-29 19:03:41 UTC
Created attachment 99798 [details]
Kernel oops on aic7xxx removal

Comment 4 Ralf Ertzinger 2004-04-30 13:34:06 UTC
kernel-2.6.5-1.344 just ripped the problematic CD mentioned above
without resetting the bus. Might be fixed, might be random luck. I'll
keep an eye on it.

Comment 5 Ralf Ertzinger 2004-04-30 14:27:05 UTC
Random luck, it seems. The drive just went dead again while ripping.

Comment 6 Ralf Ertzinger 2004-10-08 13:30:47 UTC
Fixed in current rawhide (kernel+cdparanoia)


Note You need to log in before you can comment on or make changes to this bug.